IF OBJECT_ID('[Privileges_Extended]') IS NOT NULL DROP VIEW [Privileges_Extended]
GO

CREATE VIEW [Privileges_Extended]
AS

	SELECT P.[Privilege_Id],
		   P.[Principal_Name],
		   P.[PrincipalType_Code],
		   P.[PrivilegeType_Code],
           P.[UserDirectory_Id],
           P.[Environment_Id],
		   R.[Role_Id],
		   R.[Role_Name],
           E.[Environment_Name]

	  FROM [Privileges] P
		   INNER JOIN [Roles] R
				   ON P.[Role_Id] = R.[Role_Id]
           LEFT JOIN [Environments] E
                   ON E.[Environment_Id] = P.[Environment_Id]
GO