IF OBJECT_ID('[ServerConfigurations_Extended]') IS NOT NULL
	DROP VIEW [ServerConfigurations_Extended]
GO

CREATE VIEW [ServerConfigurations_Extended]
AS

    SELECT SC.*,
           S.[Server_Name],
           SR.[ServerRole_Name],
           [RemediatedWith_Job_Name] = J.[Job_Name],
           [RemediatedWith_Job_Start_Date] = J.[Start_Date],
           [CollectedOn_Execution_Start_Date] = E.[Start_Date]
      FROM [ServerConfigurations] SC
          INNER JOIN [Servers] S
                  ON S.[Server_Id] = SC.[Server_Id]
           LEFT JOIN [ServerRoles] SR
                  ON SC.[CollectedFor_ServerRole_Id] = SR.[ServerRole_Id]
           LEFT JOIN [Executions] E
                  ON SC.[CollectedOn_Execution_Id] = E.[Execution_Id]
           LEFT JOIN [Jobs] J
                  ON J.[Job_Id] = SC.[RemediatedWith_Job_Id]
           
           
GO
