EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerConfigurations_GetConfiguration',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ServerConfigurations_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets server configuration for the specified server configuration type and name.'
GO


IF OBJECT_ID('[ServerConfigurations_GetConfiguration]') IS NOT NULL DROP PROCEDURE [ServerConfigurations_GetConfiguration]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerConfigurations_GetConfiguration]
(
    @Server_Id INT,
    @ServerConfigurationType_Name NVARCHAR(50),
    @ServerConfigurationKey_Name NVARCHAR(255)
)   
AS
BEGIN

	SET NOCOUNT ON

    SELECT * 
	  FROM [ServerConfigurations_Extended]
     WHERE [Server_Id] = @Server_Id
       AND [ServerConfigurationType_Name] = @ServerConfigurationType_Name
       AND [ServerConfigurationKey_Name] = @ServerConfigurationKey_Name

END
GO

GRANT EXECUTE ON [ServerConfigurations_GetConfiguration] TO [OtterUser_Role]