EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_GetServerRoleDependencies',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerRoleDependencies_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the server role dependencies for the specified server role, or all dependencies in the system.'
GO

IF OBJECT_ID('[ServerRoles_GetServerRoleDependencies]') IS NOT NULL DROP PROCEDURE [ServerRoles_GetServerRoleDependencies]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_GetServerRoleDependencies]
(
    @ServerRole_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [ServerRoleDependencies_Extended]
     WHERE @ServerRole_Id IS NULL OR [ServerRole_Id] = @ServerRole_Id    

END
GO

GRANT EXECUTE ON [ServerRoles_GetServerRoleDependencies] TO [OtterUser_Role]