EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetVariablesForScope',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Variables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variables that are defined only in the specified scope.'
GO


IF OBJECT_ID('[Variables_GetVariablesForScope]') IS NOT NULL DROP PROCEDURE [Variables_GetVariablesForScope]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetVariablesForScope]
(
	@Server_Id INT = NULL,
	@Environment_Id INT = NULL,
	@ServerRole_Id INT = NULL,
	@Job_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Variables]
	 WHERE ([Server_Id] = @Server_Id OR ([Server_Id] IS NULL AND @Server_Id IS NULL))
	   AND ([Environment_Id] = @Environment_Id OR ([Environment_Id] IS NULL AND @Environment_Id IS NULL))
	   AND ([ServerRole_Id] = @ServerRole_Id OR ([ServerRole_Id] IS NULL AND @ServerRole_Id IS NULL))
       AND ([Job_Id] = @Job_Id OR ([Job_Id] IS NULL AND @Job_Id IS NULL))

END
GO

GRANT EXECUTE ON [Variables_GetVariablesForScope] TO [OtterUser_Role]